dofile("scripts/entities/entityinclude.lua")

ompo = 0
n = 0
d = false

function init(me)
	n = getNaija()
end

function update(me)
	if not d and node_isEntityIn(me, n) then
		d = true
		h = getEntity("healthupgrade3")
		
		if h ~= 0 then
			
			entity_idle(n)
			watch(1)
			setCameraLerpDelay(0.5)
			cam_toEntity(h)
			watch(1)
			
			watch(1)
			emote(EMOTE_NAIJAWOW)
			watch(1)
			cam_toEntity(n)
			watch(2)
			
			setCameraLerpDelay(0)
		end
	end
end

